 <?
 if($ku['status']!=3)
 {
 exit();
 
 }
if(isset($_POST['text']))
{
$text=$_POST['text'];
if($_POST['komu']==1)
{
$q=mysql_query("SELECT * FROM `kolhoz_user`");
}
if($_POST['komu']==2)
{
$q=mysql_query("SELECT * FROM `kolhoz_user` WHERE `status` > '0'");
}
if($_POST['type']==1)$type='Рассылка:';
elseif($_POST['type']==2)$type='Объявление:';
else $type='Новость:';
$msg="$text";
while($post=mysql_fetch_array($q))
{
      
/*
    $timee=3600*24*3;
    mysql_query("UPDATE `kolhoz_user` SET `time_vip` = '".($post['time_vip']>$time?"".($post['time_vip']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$post[id]'");
        mysql_query("UPDATE `kolhoz_user` SET `money2x_time` = '".($post['money2x_time']>$time?"".($post['money2x_time']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$post[id]'");
      $timee2=3600*24*2;

    mysql_query("UPDATE `kolhoz_user` SET `exp5_time` = '".($post['exp5_time']>$time?"".($post['exp5_time']+$timee2)."":"".($time+$timee2)."")."' WHERE `id` = '$post[id]'");

    mysql_query("UPDATE `kolhoz_user` SET `expbonus` = '".($post['expbonus']+50)."' WHERE `id` = '$post[id]'");
*/
mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '$post[id]', `id_kont` = '701', `msg` = '".my_esc($msg)."', `time` = '$time', `type` = 'to'");

}
header("Location:/");
$_SESSION['msg']='Ваше сообщение успешно отправлено.';
exit;
}
?>
<div class="event">
<h1>Рассылка</h1></div>
<div class="content">
<div class="block">
<form method="post">
<div style="width:0px;height:0px;position:absolute;left:-100px;top:-100px;overflow:hidden"><input type="hidden" name="mdp" value="<? echo $ku['mdp'];?>"></div>
<ul>
<li>
<label>
<div>Кому:</div>
<div><select name="komu"><option selected="selected" value="1">Всем</option><option
value="2">Администрации</option></select></div>
</label>
</li>
<li>
<label>
<div class="pt">Сообщение:</div>
<div><textarea class="wide" rows="5" name="text"></textarea></div>
</label>
</li>
<li>
<div style="font-size:0.6em">Данное сообщение будет отправлено всем жителям фермы.</div>
</li>
<li>
<?php
if($ku['status']==3)echo "<input type='submit' value='Отправить'>";
?>
</li>
</ul>
</form></div>
<? include_once 'inc/foot.php';?> 